/*
Theme Name:  Impose Child
Theme URI:   https://themeforest.net/user/pixelwars/portfolio
Description: Make your modifications to [Impose Theme] in this child theme.
Author:      Pixelwars
Author URI:  https://themeforest.net/user/pixelwars
Version:     1.2.0
Template:    impose
Tags:        portfolio
Text Domain: impose-child
*/


/* =Theme customization starts here
-------------------------------------------------------------- */
a.button.wc-forward:not(.checkout) {
    display: none;
}

.quantity {
    display: none;
}
.woocommerce-mini-cart__total.total {
    display: none;
}

/* =Стиль таблицы
-------------------------------------------------------------- */
@media (max-width: 760px), (max-device-width: 760px) {
    /* Делаем таблицу блочным элементом для лучшего отображения на мобильных устройствах */
    table, thead, tbody, th, td, tr {
        display: block;
    }

    /* Скрываем заголовки столбцов на мобильных устройствах */
    thead tr {
        position: absolute;
        top: -9999px;
        left: -9999px;
    }

    /* Стилизация ячеек таблицы */
    tr { border: 1px solid #ccc; margin-bottom: 5px; }

    td {
        /* Ячейки отображаются как блоки с данными */
        border: none;
        position: relative;
        padding-left: 50%;
        text-align: left;
        margin-bottom: 5px;
    }

    /* Добавляем лейблы к данным в ячейках на основе заголовков столбцов в thead */
    td:before {
        /* Используем свойство content для вставки текста заголовков */
        content: attr(data-label);
        position: absolute;
        left: 10px;
        font-weight: bold;
    }

    /* Стили для аудио плеера и ссылок, чтобы они не выходили за пределы ячеек */
    audio, a {
        width: auto; /* Или можно задать 100%, если нужно, чтобы занимали всю доступную ширину */
        margin: 10px 0;
    }
}

.search-toggle, .toggle-link {
    display: none;
}

.about-author {
    display: none;
}

.share-links {
    display: none;
}


.search-container{
    display: none;
}

.search-form{
    display: none;
}


/* Стилизация формы */
form {
	display: flex; /* Включаем Flexbox */
    flex-direction: column; /* Элементы выстраиваются в колонку */
    align-items: center; /* Центрирование элементов по горизонтали */
    justify-content: center; /* Центрирование элементов по вертикали, если нужно */
    width: 100%; /* Ширина на всю доступную ширину */
    background-color: #f2f2f2; /* Цвет фона */
    padding: 20px; /* Внутренние отступы */
    border-radius: 5px; /* Скругление углов */
    box-shadow: 0 2px 4px rgba(0,0,0,0.1); /* Тень вокруг формы */
    margin: 20px auto; /* Отступы сверху и снизу */
    width: 100%; /* Ширина на всю доступную ширину */
}

/* Стилизация селектора */
select {
	max-width: 600px; /* Максимальная ширина селектора, можно настроить под свои нужды */
    width: 100%; /* Ширина на всю доступную ширину родителя */
    width: 100%; /* Ширина на всю доступную ширину */
    padding: 10px; /* Внутренние отступы */
    margin-bottom: 20px; /* Отступ снизу */
    border: 1px solid #ccc; /* Цвет границы */
    border-radius: 5px; /* Скругление углов */
    background-color: #ffffff; /* Цвет фона */
    box-sizing: border-box; /* Границы и padding включены в ширину и высоту */
    -webkit-appearance: none; /* Убирает стандартный стиль в WebKit-браузерах */
    -moz-appearance: none; /* Убирает стандартный стиль в Firefox */
    appearance: none; /* Убирает стандартный стиль для остальных браузеров */
    background-image: url('data:image/svg+xml;charset=US-ASCII,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 2048 2048"><path d="M2048 384v128H0V384h2048zm0 640V896H0v128h2048zm0 640v-128H0v128h2048z" fill="%23000"/></svg>');
    background-repeat: no-repeat;
    background-position: right 10px top 50%; /* Позиционирование иконки стрелки */
}

/* Стилизация кнопки отправки формы для браузеров без JavaScript */
noscript input[type="submit"] {
    background-color: #4CAF50; /* Цвет фона кнопки */
    color: white; /* Цвет текста */
    padding: 12px 20px; /* Внутренние отступы */
    border: none; /* Убрать границу */
    border-radius: 5px; /* Скругление углов */
    cursor: pointer; /* Тип курсора */
    width: 100%; /* Ширина на всю доступную ширину */
    box-sizing: border-box; /* Границы и padding включены в ширину и высоту */
}

/* Стилизация кнопки отправки формы при наведении */
noscript input[type="submit"]:hover {
    background-color: #45a049; /* Затемненный цвет фона при наведении */
}
